| Home | Libraries | People | FAQ | More

##### static_url_base::normalize

(Inherited from `url_base`)

Normalize the URL components.

###### Synopsis

    url_base&
    normalize();

###### Description

Applies Syntax-based normalization to all components of the URL.

###### Exception Safety

Strong guarantee. Calls to allocate may throw.

###### Specification

- 6.2.2 Syntax-Based Normalization (rfc3986)